/* influence.h: influence function for modified Wally program
* 
* Author: Doug Geiger <runexe@ntplx.net>
* Date: Feb. 23, 1997*/
#include "mod-wally.h"
#ifndef INFLUENCE_H

void add_influence(int x, int y, int color)  {
   int mod; /* modifies for black or white pieces */
   if(color == BLACK) mod = 1;
   if(color == WHITE) mod = -1;
   influence[x][y] += (mod*60);
   influence[x][y+1] += (mod*13);
   influence[x][y-1] += (mod*13);
   influence[x][y+2] += (mod*5);
   influence[x][y-2] += (mod*5);
   influence[x][y+3] += (mod*1);
   influence[x][y-3] += (mod*1);
   influence[x+1][y] += (mod*13);
   influence[x+1][y+1] += (mod*6);
   influence[x+1][y-1] += (mod*6);
   influence[x+1][y+2] += (mod*2);
   influence[x+1][y-2] += (mod*2);
   influence[x-1][y] += (mod*13);
   influence[x-1][y+1] += (mod*6);
   influence[x-1][y-1] += (mod*6);
   influence[x-1][y+2] += (mod*2);
   influence[x-1][y-2] += (mod*2);
   influence[x+2][y] += (mod*5);
   influence[x+2][y+1] += (mod*1);
   influence[x+2][y-1] += (mod*1);
   influence[x+2][y+2] += (mod*1);
   influence[x+2][y-2] += (mod*1);
   influence[x-2][y] += (mod*5);
   influence[x-2][y+1] += (mod*1);
   influence[x-2][y-1] += (mod*1);
   influence[x-2][y+2] += (mod*1);
   influence[x-2][y-2] += (mod*1);
   influence[x+3][y] += (mod*1);
   influence[x-3][y] += (mod*1);
}
#endif /*INFLUENCE_H*/
